View Issue Details

IDProjectCategoryView StatusLast Update
0001925Far ManagerEditorpublic2011-12-23 15:14
ReporterRaistlinAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001925: Неправильное выделение при замене
DescriptionДелаем поиск/замену в файле. Есть два вхождения искомой строки. Первое - за пределами экрана. Второе - в строке, начинающейся табуляцией. При обработке второго вхождения выделение на экране будет неправильным. Тем не менее, замена проходит нормально.

Для теста смотрим аттач. Меняем "abc" на "cba".
TagsNo tags attached.
Build2271

Relationships

has duplicate 0001326 closed2useven10 Ошибка подсветки заменяемого текста в редакторе 

Activities

Raistlin

2011-11-23 18:24

reporter  

WrongSelectionOnReplace.txt (114 bytes)
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa abc
	abc def

zg

2011-11-23 19:36

developer   bugnote:0007986

надо, чтобы консоль была уже примерно 100 символов. иначе всё нормально.

Raistlin

2011-11-23 19:42

reporter   bugnote:0007987

Это как бы само собой разумелось из описания.

2useven10

2011-11-23 20:39

developer   bugnote:0007988

что-то напоминает...
http://bugs.farmanager.com/view.php?id=1782
http://bugs.farmanager.com/view.php?id=1326

Raistlin

2011-11-23 21:22

reporter   bugnote:0007989

Да, очень похоже на http://bugs.farmanager.com/view.php?id=1326.
Точно не http://bugs.farmanager.com/view.php?id=1782, т. к. обнаружил именно в Far2.

2useven10

2011-11-24 00:14

developer   bugnote:0007990

Last edited: 2011-11-24 00:16

View 2 revisions

2271. Проверяйте, что ничего не поломалось.

Px

2011-11-24 03:41

reporter   bugnote:0007991

to 2useven10
Раз пошла починка багов с выделением текста, у меня в загашнике один старый баг валяется - http://bugs.farmanager.com/view.php?id=514#c1438 (вторая половина комментария)

Issue History

Date Modified Username Field Change
2011-11-23 18:24 Raistlin New Issue
2011-11-23 18:24 Raistlin File Added: WrongSelectionOnReplace.txt
2011-11-23 19:36 zg Note Added: 0007986
2011-11-23 19:42 Raistlin Note Added: 0007987
2011-11-23 20:39 2useven10 Note Added: 0007988
2011-11-23 21:22 Raistlin Note Added: 0007989
2011-11-24 00:14 2useven10 Note Added: 0007990
2011-11-24 00:15 2useven10 Assigned To => 2useven10
2011-11-24 00:15 2useven10 Status new => feedback
2011-11-24 00:16 2useven10 Note Edited: 0007990 View Revisions
2011-11-24 00:32 2useven10 Relationship added has duplicate 0001326
2011-11-24 03:41 Px Note Added: 0007991
2011-12-23 15:14 alexy Build => 2271
2011-12-23 15:14 alexy Status feedback => closed
2011-12-23 15:14 alexy Resolution open => fixed
2011-12-23 15:14 alexy Fixed in Version => 3.0